package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor(access = AccessLevel.PRIVATE)
public enum WorkerInvolveEnum implements BaseEnum , IEnum<Integer> {
    ONE("1","待网点审核"),
    TWO("2","驳回重申"),
    THREE("3","待中心审核") ,
    four("4","驳回禁止申诉"),
    five("5","通过审核")
    ;


    private final String key;
    private final String remark;

    @JsonValue
    @Override
    public Integer getValue() {
        return getIntKey();
    }
}


